<!-- <p>login-page works!</p> -->
<div class="page-login">
  <div class="ui centered grid container">
    <div class="nine wide column">
      <form
        class="ui form"
        [formGroup]="loginForm"
        (ngSubmit)="login()"
        [class]=""
      >
        <div class="required field" [ngClass] ="{error:nameHasErrors()}">
          <label>Username</label>
          <input type="text" [class]="changeUserField"  formControlName="username" />
        </div>

        <div class="ui negative message" *ngIf='nameHasErrors()'>
          <ul>
            <li  *ngFor= "let errorMessage of nameErrors()"> {{errorMessage}} </li>
          </ul>
      
        </div>

        <div class="required field" [ngClass]= "{error:passwordHasErrors()}">
          <label>Password</label>
          <input type="password" [class]="changeUserField" formControlName="password" />
        </div>


        <div class="ui negative message" *ngIf='passwordHasErrors()'>
          <ul>
            <li  *ngFor= "let errorMessage of passwordErrors()"> {{errorMessage}} </li>
          </ul>
      
        </div>
        <!-- <div class="form-group">
              <label>Choose file:</label>
              <input type="file" formControlName="imgUrl">
            </div> -->
        <button class="ui fluid button" type="submit" (click)="login()">
          Login
        </button>
        <div>
          Don't have an account?<a routerLink="/signup-page"> sign up here</a>
        </div>
        
        
        
      </form>
    </div>
  </div>
</div>
